Favicon

You are here: Home > API Reference > Android > Policies > Retrieve agent configuration

Retrieve agent configuration

Required Permission: mdm.android.policy.get

Retrieves the MDM agent configuration settings derived from the policy for device deployment.

GET
/v1/organizations/:organizationId/mdm/android/enterprise/policies/:emmPolicyId/agent-config
Copy to clipboard

Retrieve agent configuration

Required Permission: mdm.android.policy.get

Retrieves the MDM agent configuration settings derived from the policy for device deployment.

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
emmPolicyId string
required
Android Enterprise policy unique identifier used in URL path for retrieving or modifying specific policy configuration.
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
config object optional
Global MDM agent configuration settings defining polling intervals and operational parameters for Android devices.
checkInterval integer optional
≥ 0 · ≤ 9007199254740991
android object optional
Android specific MDM agent configuration settings controlling location tracking app monitoring and network status collection.
locationRefreshInterval integer optional
≥ 0 · ≤ 9007199254740991
locationQueueLength integer optional
≥ 0 · ≤ 9007199254740991
location object optional
active boolean optional
refreshInterval integer optional
≥ 0 · ≤ 9007199254740991
queueLength integer optional
≥ 0 · ≤ 9007199254740991
applicationsTime object optional
active boolean optional
queueLength integer optional
≥ 0 · ≤ 9007199254740991
reportLimit integer optional
≥ 0 · ≤ 9007199254740991
refreshInterval integer optional
≥ 0 · ≤ 9007199254740991
applicationsTransfer object optional
active boolean optional
queueLength integer optional
≥ 0 · ≤ 9007199254740991
reportLimit integer optional
≥ 0 · ≤ 9007199254740991
refreshInterval integer optional
≥ 0 · ≤ 9007199254740991
networkStatus object optional
active boolean optional
queueLength integer optional
≥ 0 · ≤ 9007199254740991
refreshInterval integer optional
≥ 0 · ≤ 9007199254740991
{
    "status": true,
    "data": {
        "config": {
            "checkInterval": 0
        },
        "android": {
            "locationRefreshInterval": 0,
            "locationQueueLength": 0,
            "location": {
                "active": true,
                "refreshInterval": 0,
                "queueLength": 0
            },
            "applicationsTime": {
                "active": true,
                "queueLength": 0,
                "reportLimit": 0,
                "refreshInterval": 0
            },
            "applicationsTransfer": {
                "active": true,
                "queueLength": 0,
                "reportLimit": 0,
                "refreshInterval": 0
            },
            "networkStatus": {
                "active": true,
                "queueLength": 0,
                "refreshInterval": 0
            }
        }
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}